## oem-realtek-ethernet-1411579-dkms 0001.r8168.8.039.00oem1wataugafour4

=== oem-realtek-ethernet-1411579/Makefile ===
################################################################################
#
# r8168 is the Linux device driver released for Realtek Gigabit Ethernet
# controllers with PCI-Express interface.
#
# Copyright(c) 2014 Realtek Semiconductor Corp. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, see <http://www.gnu.org/licenses/>.
#
# Author:
# Realtek NIC software team <nicfae@realtek.com>
# No. 2, Innovation Road II, Hsinchu Science Park, Hsinchu 300, Taiwan
#
################################################################################
KVER?= $(shell uname -r)

################################################################################
#  This product is covered by one or more of the following patents:
#  US6,570,884, US6,115,776, and US6,327,625.
################################################################################

ENABLE_REALWOW_SUPPORT = n
ENABLE_DASH_SUPPORT = n
CONFIG_DOWN_SPEED_100 = n
CONFIG_ASPM = y
ENABLE_S5WOL = y
ENABLE_EEE = n

ifneq ($(KERNELRELEASE),)
	obj-m := r8168.o
	r8168-objs := r8168_n.o r8168_asf.o rtl_eeprom.o rtltool.o
	ifeq ($(ENABLE_REALWOW_SUPPORT), y)
	    r8168-objs += r8168_realwow.o
		EXTRA_CFLAGS += -DENABLE_REALWOW_SUPPORT
	endif
	ifeq ($(ENABLE_DASH_SUPPORT), y)
	    r8168-objs += r8168_dash.o
		EXTRA_CFLAGS += -DENABLE_DASH_SUPPORT
	endif
	EXTRA_CFLAGS += -DCONFIG_R8168_NAPI
	EXTRA_CFLAGS += -DCONFIG_R8168_VLAN
	ifeq ($(CONFIG_DOWN_SPEED_100), y)
		EXTRA_CFLAGS += -DCONFIG_DOWN_SPEED_100
	endif
	ifeq ($(CONFIG_ASPM), y)
		EXTRA_CFLAGS += -DCONFIG_ASPM
	endif
	ifeq ($(ENABLE_S5WOL), y)
		EXTRA_CFLAGS += -DENABLE_S5WOL
	endif
	ifeq ($(ENABLE_EEE), y)
		EXTRA_CFLAGS += -DENABLE_EEE
	endif
else
	BASEDIR := /lib/modules/$(KVER)
	KERNELDIR ?= $(BASEDIR)/build
	PWD :=$(shell pwd)
	DRIVERDIR := $(shell find $(BASEDIR)/kernel/drivers/net -name realtek -type d)
	ifeq ($(DRIVERDIR),)
		DRIVERDIR := $(BASEDIR)/kernel/drivers/net
	endif
	#RTKDIR := $(subst $(BASEDIR)/,,$(DRIVERDIR))
	RTKDIR := updates/dkms

.PHONY: all
all: clean modules install

.PHONY:modules
modules:
	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) modules

.PHONY:clean
clean:
	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) clean

.PHONY:install
install:
	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) INSTALL_MOD_DIR=$(RTKDIR) modules_install

endif

=== debian/changelog ===
oem-realtek-ethernet-1411579-dkms (0001.r8168.8.039.00oem1wataugafour4) precise; urgency=medium

  * Remove r8169 pre-loaded from wataugafour-meta package, no need to do it
    here.

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 12 Feb 2015 15:26:02 +0800

oem-realtek-ethernet-1411579-dkms (0001.r8168.8.039.00oem1wataugafour3) precise; urgency=medium

  * Do not load the old module r8169 at the boot time.

 -- Gerald Yang <gerald.yang@canonical.com>  Wed, 11 Feb 2015 14:09:01 +0800

oem-realtek-ethernet-1411579-dkms (0001.r8168.8.039.00oem1wataugafour2) precise; urgency=medium

  * Fix version issue.

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 10 Feb 2015 17:03:03 +0800

oem-realtek-ethernet-1411579-dkms (0001.r8168.8.039.00oem1wataugafour1) precise; urgency=medium

  * Replace r8168-dkms

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 09 Feb 2015 15:34:43 +0800

oem-realtek-ethernet-1411579-dkms (0001.r8168.8.039.00oem1) trusty; urgency=low

  * VendorSource: 0001-r8168-8.039.00.tar.bz2
    (LP: #1408861)

 -- Gerald Yang <gerald.yang@canonical.com>  Fri, 16 Jan 2015 18:18:32 +0800

=== debian/control ===
Source: oem-realtek-ethernet-1411579-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-realtek-ethernet-1411579-dkms
Architecture: all
Replaces: r8168-dkms (<< 8.037.00~)
Breaks: r8168-dkms (<< 8.037.00~)
Depends: dkms (>= 1.95), ${misc:Depends}
Description: oem-realtek-ethernet-1411579 driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-realtek-ethernet-1411579
NAME=oem-realtek-ethernet-1411579
VERSION=0001.r8168.8.039.00oem1wataugafour4

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
